function y = conv_lin(h,x)
% function y = conv_lin(h,x) = (h * x)(n)
%
% compute linear convolution using matrix form
%
% (c) 2000, G. Doblinger TU-Wien

if nargin == 0
   help conv_lin
   return
end

Nh = length(h);
Nx = length(x);
Ny = Nx+Nh-1;

h1 = [zeros(Nx-1,1) ; h(:) ; zeros(Nx-1,1)];
ic = [0:Ny-1]';
ir = Nx:-1:1;
H = ic(:,ones(Nx,1)) + ir(ones(Ny,1),:);
H(:) = h1(H);

y = H * x;