function Es = QMF_Lat_stop(alpha,fs)
%function Es = QMF_Lat_stop(alpha,fs)
%
% compute stop band cost function of lattice analysis QMF filter
% for nonlinear optimization in qmf_2hb()
%

% Db, 7,1,98

% compute lattice filter impulse response

N = length(alpha);
Nx = 2*N;
x = [1 ; zeros(Nx-1,1)];
p0 = x;
q0 = [0 ; p0(1:Nx-1)];
p = p0 - alpha(1)*q0;
q = q0 + alpha(1)*p0;
zpad = [0 ; 0];
Nq = Nx-2;
for n = 2:N
   q = [zpad ; q(1:Nq)];   % delayed q-vector
   pt = p;
   p = p - alpha(n)*q;
   q = q + alpha(n)*pt;
end

Nf = 2048;
Nfh = Nf/2;
H = fft(p,Nf);
Hs = H(floor(Nfh*fs):Nfh);
Es = norm(Hs);