echo on
% script file to show filter bank design of NORSIG'96 paper
% (c) copyright 8-96, G.Doblinger, TU-Wien, Austria

% design of 22 channel nonuniform filter bank for critical band analysis
% version with decimation/interpolation of impulse responses
% (odd filter length)

% design was carried out by calling the following functions:
% (NOTE: length(h80)+1 must not be divisible by 8)

% h80 = unicmfb(80,801,1/160,2e4,400);drawnow;
% h60 = unicmfb(60,801,1/160,2e4,400);drawnow;
% h60 = nuftran('l',1/160,h80,80,h60,60,801,1);drawnow;
% h30 = sqrt(2)*h60(1:2:801);
% h20 = 2*h80(1:4:801);
% h30_20 = nuftrans('l',h30,30,h20,20,401,1);drawnow;
% h10 = sqrt(8)*h80(1:8:801);
% h5 = 4*h80(1:16:801);
% h10_5 = nuftrans('l',h10,10,h5,5,101,1);drawnow;

% save bark22o h80 h60 h30_20 h10_5

% results are stored in file bark22o.mat
%
% *** PRESS a KEY to display the Bark scale approximation

pause,
M = [80 60 40 30 20 10 5]; % subsampling factors
Lb = [4 3 4 3 4 3 1];      % partitioning of frequency scale
Fs = 16000.0;              % sampling frequency in Hz
barkplot(M,Lb,Fs);
% *** PRESS a KEY to show the filter bank design result

pause,
load bark22o                     % load h80, h60, h30_20, h10_5
nufbark5(h80,h60,h30_20,h10_5);  % compute filter bank