echo on
% script file to show filter bank design of NORSIG'96 paper
% (c) copyright 8-96, G.Doblinger, TU-Wien, Austria

% design of 25 channel nonuniform filter bank for critical band analysis
% version with decimation/interpolation of impulse responses
% (odd filter length)

% design was carried out by calling the following functions

% h96 = unicmfb(96,769,1/192,2e4,400);drawnow;
% h64 = unicmfb(64,769,1/192,2e4,400);drawnow;
% h64 = nuftran('l',1/192,h96,96,h64,64,769,1);drawnow;
% h16 = 2*h64(1:4:769);
% h12 = sqrt(8)*h96(1:8:769);
% h16_12 = nuftrans('l',h16,16,h12,12,193,1);drawnow;
% save bark25o h96 h64 h16_12

% results are stored in file bark25o.mat
%
% *** PRESS a KEY to display the Bark scale approximation

pause,
M = [96 64 48 32 24 16 12 8]; % subsampling factors
Lb = [6 4 3 2 3 2 3 2];       % partitioning of frequency scale
Fs = 16000.0;                 % sampling frequency in Hz
barkplot(M,Lb,Fs);
% *** PRESS a KEY to show the filter bank design result

pause,
load bark25o                  % load h96, h84, h16_12
nufbark4(h96,h64,h16_12);     % compute filter bank (please wait ...)