function [E,dE] = nuf_er_grd(ht,Lf,Lt,A,Ut1,Utp,Q,alpha)
%
% error function and gradient for nuftran.m, optimization with fminunc()
% see nuftran.m for parameters
%
% G. Doblinger, TU-Wien, 06-1996

fi = Lf:-1:1;
I = ones(1,Lt);
d = Ut1*ht;
D = d*I;
di = d(fi);
b1 = d.*di;
b2 = d.^2;
db1 = Ut1.*(di*I) + Ut1(fi,:).*D;
db2 = 2*Ut1.*D;
d = Utp*ht;
b3 = d.^2;
db3 = 2*Utp.*(d*I);
bs = Q*ht;

E = alpha(1)*norm(A(:,1)-b1)^2 + alpha(2)*norm(A(:,2)-b2)^2 + ...
    alpha(3)*norm(A(:,3)-b3)^2 + alpha(4)*(ht'*bs);
dE = alpha(1)*(b1-A(:,1))'*db1 + alpha(2)*(b2-A(:,2))'*db2 +...
     alpha(3)*(b3-A(:,3))'*db3 + alpha(4)*bs';
dE = 2*dE;
