function E = nuf_err(ht,Lf,Lt,A,Ut1,Ut2,Utp,Q,alpha)
%
% error function for nuftrans.m, optimization with fminu()
% see nuftrans.m for parameters
%
% (c) copyright 5-1996, G.Doblinger, TU-Wien
% EMAIL: gerhard.doblinger@tuwien.ac.at

% Db, 5-96

d = Ut1*ht;
b1 = d .* d(Lf:-1:1);
b3 = d.^2;
d = Ut2*ht;
b2 = d .* d(Lf:-1:1);
b4 = d.^2;
b5 = (Utp*ht).^2;
bs = Q*ht;

E = alpha(1)*norm(A(:,1)-b1)^2 + alpha(2)*norm(A(:,2)-b2)^2 + alpha(3)*norm(A(:,3)-b3)^2 + ...
    alpha(4)*norm(A(:,4)-b4)^2 + alpha(5)*norm(A(:,5)-b5)^2 + alpha(6)*(ht'*bs);