function [y,w] = addwgn(x,snr) 
% function [y,w] = addwgn(x,snr) 
%
% purpose: add white gaussian noise with SNR = snr to vector x
%
% G. Doblinger, TU-Wien, 11-1994

if nargin == 0
   help addwgn
   return
end

if snr ~= inf
   w = randn(size(x));
   w = (norm(x)/norm(w)) *10^(-snr/20) * w;
   y = x + w;
else
   y = x;
   w = zeros(size(x));
end
   
