function discret(x,y)
%  function discret(x,y)
%
%  call: discret(x), discret(x,y)
%
%  plot discrete-time signal as impulses, and if length(x) <= 50, then
%  terminate impulses with circles
%  only real part of signal is plotted
%
% Db, 7-93

% adapted from function STEM() of MATLAB 4.0

n = length(x);
if nargin == 1
   y = real(x(:)');
	x = 1:n;
elseif nargin == 2
   x = x(:)';
   y = real(y(:)');
end

xx = [x;x;nan*ones(size(x))];
yy = [zeros(1,n);y;nan*ones(size(y))];
cax = newplot;
next = lower(get(cax,'NextPlot'));
hold_state = strcmp(next,'add') & strcmp('add',lower(get(gcf,'NextPlot')));
if n > 50
plot(xx(:),yy(:),'y-')
else
plot(x,y,'yo',xx(:),yy(:),'y-')
end
q = axis;hold on;plot([q(1) q(2)],[0 0],'w-');
if ~hold_state, set(cax,'NextPlot',next); end

