function specplay()
% function specplay()
%
% purpose:  play global variable G_x_zoom (to be used with spect.m)
%
% G. Doblinger, TU-Wien, 08-1998

% other functions required: play.m
%

global G_x_zoom         % defined in spect.m
global G_Nbits G_Fsampl % defined in multspec.m

if ~exist('G_x_zoom') | isempty(G_x_zoom)
   error('Empty, or missing sound vector')
end
if ~exist('G_Nbits') | isempty(G_Nbits)
   G_Nbits = 16;
   disp('Number of conversion bits set to 16')
end
if ~exist('G_Fsampl') | isempty(G_Fsampl)
   G_Fsampl = 16000;
   disp('Sampling Frequency set to 16 kHz')
end
if strcmp(upper(computer),'PCWIN')
   sound(G_x_zoom(:,gcf),G_Fsampl);
else 
   play(G_x_zoom(:,gcf),G_Fsampl,G_Nbits);   % for Linux maschines
end